Subject: Re: [PATCH v9 0/4] mm: Enable conversion of powerpc to default topdown mmap layout

From: Michael Ellerman <[email-masked]>
Date: Sat, 09 Apr 2022 22:45:35 +1000

Christophe Leroy <[email-masked]> writes:
> Le 09/04/2022 à 05:25, Andrew Morton a écrit :
>> On Fri,  8 Apr 2022 09:24:58 +0200 Christophe Leroy <[email-masked]> wrote:
>> 
>>> Rebased on top of Linux 5.18-rc1
>>>
>>> This is the mm part of the series that converts powerpc to default
>>> topdown mmap layout, for merge into v5.18
>> 
>> We're at 5.18-rc1.  The 5.18 merge window has closed and we're in
>> fixes-only mode.
>
> Umm ... There must have been a misunderstanding then.

That's probably my fault for not getting back to Andrew.

> Le 11/03/2022 à 05:26, Michael Ellerman a écrit :
>  >
>  > Yeah I didn't pick it up because the mm changes don't have many acks and
>  > I'm always nervous about carrying generic mm changes.
>  >
>  > It would be my preference if Andrew could take 2-5 through mm for v5.18,
>  > but it is quite late, so I'm not sure how he will feel about that.
>  >
>  > Arguably 2, 3, 4 do very little. It's only patch 5 that has much effect,
>  > and it has a reviewed-by from Catalin at least.
>
> Michael, is it now ok for you to merge it via powerpc tree with Andrew's 
> Ack ?

Yes.

>> Also, [4/4] has a cc:stable.  This is a bit odd because -stable
>> candidates should be standalone patches, staged ahead of all
>> for-next-merge-window material, so we can get them merged up quickly.
>> 
>> More oddly, [4/4]'s changelog provides no explanation for why the patch
>> should be considered for backporting.
 
Yeah it's just a bit too politely worded :)

It says it's "a complement of f6795053dac8", but it's actually a fix for
a bug in that commit, that commit should have updated hugetlb behaviour.

> That was a request from Catalin from ARM64:
>
> Le 04/01/2022 à 17:21, Catalin Marinas a écrit :
>  > I wonder whether we should add a fixes tag (or at least the cc stable):
>  >
>  > Fixes: f6795053dac8 ("mm: mmap: Allow for "high" userspace addresses")
>  > Cc: <[email-masked]> # 5.0.x
>  >
>  > I think the original commit should have changed
>  > hugetlb_get_unmapped_area() to have the same behaviour as
>  > arch_get_unmapped_area(). Steve, any thoughts?
>  >
>  > FWIW,
>  >
>  > Reviewed-by: Catalin Marinas <[email-masked]>
>
>  From 
> https://patchwork.ozlabs.org/project/linuxppc-dev/patch/db238c1c[email-masked]/
>
> I can try and see whether this can be moved in front of the other patches.

Thanks, that would be preferable.

cheers